Bug 420931 - Crash in "Edit loan Wizard"
Summary: Crash in "Edit loan Wizard"
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: git (master)
Platform: Appimage Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-02 22:16 UTC by Eugen Albiker
Modified: 2020-06-05 04:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments
Video of the crash (2.21 MB, video/x-matroska)
2020-05-02 22:16 UTC, Eugen Albiker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugen Albiker 2020-05-02 22:16:11 UTC
Created attachment 128103 [details]
Video of the crash

SUMMARY
When I "modify loan attributes" the "edit loan wizard" crash. 
This happens if I deleted the "schedules transaction" befor

STEPS TO REPRODUCE
1. Create a loan ledger
2. Delete the scheduled transaction for the loan
3. edit the "load attributes" twice(!)

OBSERVED RESULT
Crash of kmymoney

EXPECTED RESULT
no crash

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: KDE Frameworks 5.68.0
Qt 5.12.8 (kompiliert gegen 5.12.8)
Das xcb Fenstersystem 

ADDITIONAL INFORMATION
kmymoney version "KMyMoney-5.0.8-332b888-x86_64.AppImage"
Enclosed I have made a video :-)
Comment 1 Thomas Baumgart 2020-05-03 13:09:01 UTC
Git commit 2812ef60269832da40dd7fa7e5992ebb8aa3250c by Thomas Baumgart.
Committed on 03/05/2020 at 13:08.
Pushed by tbaumgart into branch '5.0'.

Don't crash if loan schedule is not available
FIXED-IN: 5.0.9

M  +5    -4    kmymoney/wizards/newloanwizard/keditloanwizard.cpp
M  +49   -48   kmymoney/wizards/newloanwizard/knewloanwizard_p.h

https://commits.kde.org/kmymoney/2812ef60269832da40dd7fa7e5992ebb8aa3250c